Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.jdbc
Class DelegatingCallableStatement

    java.lang.Object
      org.apache.openjpa.lib.jdbc.DelegatingCallableStatement

All Implemented Interfaces:
  CallableStatement, PreparedStatement, Statement, Wrapper, Closeable

Direct Known Subclasses:
  LoggingConnectionDecorator.LoggingConnection.LoggingCallableStatement

    public class DelegatingCallableStatement

extends Object
implements CallableStatement, Closeable

`CallableStatement` that delegates to an internal statement.

Author:
  Abe White

Field Summary

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`DelegatingCallableStatement(CallableStatement stmnt, Connection conn)`

Method Summary
`void` | `addBatch()`
`void` | `addBatch(String str)`
`protected void` | `appendInfo(StringBuffer buf)`
`void` | `cancel()`
`void` | `clearBatch()`
`void` | `clearParameters()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `closeOnCompletion()`
`boolean` | `equals(Object other)`
`boolean` | `execute()`
`boolean` | `execute(String str)`
`boolean` | `execute(String s, int i)`
`boolean` | `execute(String s, int[] ia)`
`boolean` | `execute(String s, String[] sa)`
`int[]` | `executeBatch()`
`ResultSet` | `executeQuery()`
`protected ResultSet` | `executeQuery(boolean wrap)` Execute the query, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.
`ResultSet` | `executeQuery(String str)`
`protected ResultSet` | `executeQuery(String sql, boolean wrap)` Execute the query, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.
`int` | `executeUpdate()`
`int` | `executeUpdate(String str)`
`int` | `executeUpdate(String s, int i)`
`int` | `executeUpdate(String s, int[] ia)`
`int` | `executeUpdate(String s, String[] sa)`
`Array` | `getArray(int i)`
`Array` | `getArray(String a)`
`BigDecimal` | `getBigDecimal(int i)`
`BigDecimal` | `getBigDecimal(int a, int b)` Deprecated. use `getBigDecimal(int parameterIndex)` or `getBigDecimal(String parameterName)`
`BigDecimal` | `getBigDecimal(String a)`
`Blob` | `getBlob(int i)`
`Blob` | `getBlob(String a)`
`boolean` | `getBoolean(int i)`
`boolean` | `getBoolean(String a)`
`byte` | `getByte(int i)`
`byte` | `getByte(String a)`
`byte[]` | `getBytes(int i)`
`byte[]` | `getBytes(String a)`
`Reader` | `getCharacterStream(int parameterIndex)`
`Reader` | `getCharacterStream(String parameterName)`
`Clob` | `getClob(int i)`
`Clob` | `getClob(String a)`
`Connection` | `getConnection()`
`Date` | `getDate(int i)`
`Date` | `getDate(int i, Calendar c)`
`Date` | `getDate(String a)`
`Date` | `getDate(String a, Calendar b)`
`CallableStatement` | `getDelegate()` Return the wrapped statement.
`double` | `getDouble(int i)`
`double` | `getDouble(String a)`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`float` | `getFloat(int i)`
`float` | `getFloat(String a)`
`ResultSet` | `getGeneratedKeys()`
`CallableStatement` | `getInnermostDelegate()` Return the base underlying data store statement.
`int` | `getInt(int i)`
`int` | `getInt(String a)`
`long` | `getLong(int i)`
`long` | `getLong(String a)`
`int` | `getMaxFieldSize()`
`int` | `getMaxRows()`
`ResultSetMetaData` | `getMetaData()`
`boolean` | `getMoreResults()`
`boolean` | `getMoreResults(int i)`
`Reader` | `getNCharacterStream(int parameterIndex)`
`Reader` | `getNCharacterStream(String parameterName)`
`NClob` | `getNClob(int parameterIndex)`
`NClob` | `getNClob(String parameterName)`
`String` | `getNString(int parameterIndex)`
`String` | `getNString(String parameterName)`
`Object` | `getObject(int i)`
`
`<T> T`
` | `getObject(int columnIndex, Class<T> type)`
`Object` | `getObject(int i, Map<String,Class<?>> m)`
`Object` | `getObject(String a)`
`
`<T> T`
` | `getObject(String columnLabel, Class<T> type)`
`Object` | `getObject(String a, Map<String,Class<?>> b)`
`ParameterMetaData` | `getParameterMetaData()`
`int` | `getQueryTimeout()`
`Ref` | `getRef(int i)`
`Ref` | `getRef(String a)`
`ResultSet` | `getResultSet()`
`protected ResultSet` | `getResultSet(boolean wrap)` Get the last result set, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.
`int` | `getResultSetConcurrency()`
`int` | `getResultSetHoldability()`
`int` | `getResultSetType()`
`RowId` | `getRowId(int parameterIndex)`
`RowId` | `getRowId(String parameterName)`
`short` | `getShort(int i)`
`short` | `getShort(String a)`
`SQLXML` | `getSQLXML(int parameterIndex)`
`SQLXML` | `getSQLXML(String parameterName)`
`String` | `getString(int i)`
`String` | `getString(String a)`
`Time` | `getTime(int i)`
`Time` | `getTime(int i, Calendar c)`
`Time` | `getTime(String a)`
`Time` | `getTime(String a, Calendar b)`
`Timestamp` | `getTimestamp(int i)`
`Timestamp` | `getTimestamp(int i, Calendar c)`
`Timestamp` | `getTimestamp(String a)`
`Timestamp` | `getTimestamp(String a, Calendar b)`
`int` | `getUpdateCount()`
`URL` | `getURL(int i)`
`URL` | `getURL(String a)`
`SQLWarning` | `getWarnings()`
`int` | `hashCode()`
`boolean` | `isClosed()`
`boolean` | `isCloseOnCompletion()`
`boolean` | `isPoolable()`
`boolean` | `isWrapperFor(Class<?> iface)`
`void` | `registerOutParameter(int i1, int i2)`
`void` | `registerOutParameter(int i1, int i2, int i3)`
`void` | `registerOutParameter(int i1, int i2, String s)`
`void` | `registerOutParameter(String s, int i)`
`void` | `registerOutParameter(String s, int i1, int i2)`
`void` | `registerOutParameter(String s1, int i, String s2)`
`void` | `setArray(int i, Array a)`
`void` | `setAsciiStream(int parameterIndex, InputStream x)`
`void` | `setAsciiStream(int i1, InputStream is, int i2)`
`void` | `setAsciiStream(int parameterIndex, InputStream x, long length)`
`void` | `setAsciiStream(String parameterName, InputStream x)`
`void` | `setAsciiStream(String a, InputStream b, int c)`
`void` | `setAsciiStream(String parameterName, InputStream x, long length)`
`void` | `setBigDecimal(int i, BigDecimal bd)`
`void` | `setBigDecimal(String a, BigDecimal b)`
`void` | `setBinaryStream(int parameterIndex, InputStream x)`
`void` | `setBinaryStream(int i1, InputStream is, int i2)`
`void` | `setBinaryStream(int parameterIndex, InputStream x, long length)`
`void` | `setBinaryStream(String parameterName, InputStream x)`
`void` | `setBinaryStream(String a, InputStream b, int c)`
`void` | `setBinaryStream(String parameterName, InputStream x, long length)`
`void` | `setBlob(int i, Blob b)`
`void` | `setBlob(int parameterIndex, InputStream inputStream)`
`void` | `setBlob(int parameterIndex, InputStream inputStream, long length)`
`void` | `setBlob(String parameterName, Blob x)`
`void` | `setBlob(String parameterName, InputStream inputStream)`
`void` | `setBlob(String parameterName, InputStream inputStream, long length)`
`void` | `setBoolean(int i, boolean b)`
`void` | `setBoolean(String a, boolean b)`
`void` | `setByte(int i, byte b)`
`void` | `setByte(String a, byte b)`
`void` | `setBytes(int i, byte[] b)`
`void` | `setBytes(String a, byte[] b)`
`void` | `setCharacterStream(int parameterIndex, Reader reader)`
`void` | `setCharacterStream(int i1, Reader r, int i2)`
`void` | `setCharacterStream(int parameterIndex, Reader reader, long length)`
`void` | `setCharacterStream(String parameterName, Reader reader)`
`void` | `setCharacterStream(String a, Reader b, int c)`
`void` | `setCharacterStream(String parameterName, Reader reader, long length)`
`void` | `setClob(int i, Clob c)`
`void` | `setClob(int parameterIndex, Reader reader)`
`void` | `setClob(int parameterIndex, Reader reader, long length)`
`void` | `setClob(String parameterName, Clob x)`
`void` | `setClob(String parameterName, Reader reader)`
`void` | `setClob(String parameterName, Reader reader, long length)`
`void` | `setCursorName(String str)`
`void` | `setDate(int i, Date d)`
`void` | `setDate(int i, Date d, Calendar c)`
`void` | `setDate(String a, Date b)`
`void` | `setDate(String a, Date b, Calendar c)`
`void` | `setDouble(int i, double d)`
`void` | `setDouble(String a, double b)`
`void` | `setEscapeProcessing(boolean bool)`
`void` | `setFetchDirection(int i)`
`void` | `setFetchSize(int i)`
`void` | `setFloat(int i, float f)`
`void` | `setFloat(String a, float b)`
`void` | `setInt(int i1, int i2)`
`void` | `setInt(String a, int b)`
`void` | `setLong(int i, long l)`
`void` | `setLong(String a, long b)`
`void` | `setMaxFieldSize(int i)`
`void` | `setMaxRows(int i)`
`void` | `setNCharacterStream(int parameterIndex, Reader value)`
`void` | `setNCharacterStream(int parameterIndex, Reader value, long length)`
`void` | `setNCharacterStream(String parameterName, Reader value)`
`void` | `setNCharacterStream(String parameterName, Reader value, long length)`
`void` | `setNClob(int parameterIndex, NClob value)`
`void` | `setNClob(int parameterIndex, Reader reader)`
`void` | `setNClob(int parameterIndex, Reader reader, long length)`
`void` | `setNClob(String parameterName, NClob value)`
`void` | `setNClob(String parameterName, Reader reader)`
`void` | `setNClob(String parameterName, Reader reader, long length)`
`void` | `setNString(int parameterIndex, String value)`
`void` | `setNString(String parameterName, String value)`
`void` | `setNull(int i1, int i2)`
`void` | `setNull(int i1, int i2, String s)`
`void` | `setNull(String a, int b)`
`void` | `setNull(String a, int b, String c)`
`void` | `setObject(int i, Object o)`
`void` | `setObject(int i1, Object o, int i2)`
`void` | `setObject(int i1, Object o, int i2, int i3)`
`void` | `setObject(String a, Object b)`
`void` | `setObject(String a, Object b, int c)`
`void` | `setObject(String a, Object b, int c, int d)`
`void` | `setPoolable(boolean poolable)`
`void` | `setQueryTimeout(int i)`
`void` | `setRef(int i, Ref r)`
`void` | `setRowId(int parameterIndex, RowId x)`
`void` | `setRowId(String parameterName, RowId x)`
`void` | `setShort(int i, short s)`
`void` | `setShort(String a, short b)`
`void` | `setSQLXML(int parameterIndex, SQLXML xmlObject)`
`void` | `setSQLXML(String parameterName, SQLXML xmlObject)`
`void` | `setString(int i, String s)`
`void` | `setString(String a, String b)`
`void` | `setTime(int i, Time t)`
`void` | `setTime(int i, Time t, Calendar c)`
`void` | `setTime(String a, Time b)`
`void` | `setTime(String a, Time b, Calendar c)`
`void` | `setTimestamp(int i, Timestamp t)`
`void` | `setTimestamp(int i, Timestamp t, Calendar c)`
`void` | `setTimestamp(String a, Timestamp b)`
`void` | `setTimestamp(String a, Timestamp b, Calendar c)`
`void` | `setUnicodeStream(int i1, InputStream is, int i2)` Deprecated.
`void` | `setURL(int i, URL url)`
`void` | `setURL(String a, URL b)`
`String` | `toString()`
`
`<T> T`
` | `unwrap(Class<T> iface)`
`boolean` | `wasNull()`
`protected ResultSet` | `wrapResult(boolean wrap, ResultSet rs)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatingCallableStatement

    public DelegatingCallableStatement(CallableStatement stmnt,
                                       Connection conn)

Method Detail

### wrapResult

    protected ResultSet wrapResult(boolean wrap,
                                   ResultSet rs)

### getDelegate

    public CallableStatement getDelegate()

  Return the wrapped statement.

### getInnermostDelegate

    public CallableStatement getInnermostDelegate()

  Return the base underlying data store statement.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### appendInfo

    protected void appendInfo(StringBuffer buf)

### executeQuery

    public ResultSet executeQuery(String str)
                           throws SQLException

  Specified by:
    `executeQuery` in interface `Statement`
  Throws:
    `SQLException`

### executeQuery

    protected ResultSet executeQuery(String sql,
                                     boolean wrap)
                              throws SQLException

  Execute the query, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.

  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String str)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String str)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException`

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `Statement`
  Specified by:
    `close` in interface `Closeable`
  Throws:
    `SQLException`

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws SQLException

  Specified by:
    `getMaxFieldSize` in interface `Statement`
  Throws:
    `SQLException`

### setMaxFieldSize

    public void setMaxFieldSize(int i)
                         throws SQLException

  Specified by:
    `setMaxFieldSize` in interface `Statement`
  Throws:
    `SQLException`

### getMaxRows

    public int getMaxRows()
                   throws SQLException

  Specified by:
    `getMaxRows` in interface `Statement`
  Throws:
    `SQLException`

### setMaxRows

    public void setMaxRows(int i)
                    throws SQLException

  Specified by:
    `setMaxRows` in interface `Statement`
  Throws:
    `SQLException`

### setEscapeProcessing

    public void setEscapeProcessing(boolean bool)
                             throws SQLException

  Specified by:
    `setEscapeProcessing` in interface `Statement`
  Throws:
    `SQLException`

### getQueryTimeout

    public int getQueryTimeout()
                        throws SQLException

  Specified by:
    `getQueryTimeout` in interface `Statement`
  Throws:
    `SQLException`

### setQueryTimeout

    public void setQueryTimeout(int i)
                         throws SQLException

  Specified by:
    `setQueryTimeout` in interface `Statement`
  Throws:
    `SQLException`

### cancel

    public void cancel()
                throws SQLException

  Specified by:
    `cancel` in interface `Statement`
  Throws:
    `SQLException`

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  Specified by:
    `getWarnings` in interface `Statement`
  Throws:
    `SQLException`

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Specified by:
    `clearWarnings` in interface `Statement`
  Throws:
    `SQLException`

### setCursorName

    public void setCursorName(String str)
                       throws SQLException

  Specified by:
    `setCursorName` in interface `Statement`
  Throws:
    `SQLException`

### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

  Specified by:
    `getResultSet` in interface `Statement`
  Throws:
    `SQLException`

### getResultSet

    protected ResultSet getResultSet(boolean wrap)
                              throws SQLException

  Get the last result set, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.

  Throws:
    `SQLException`

### getUpdateCount

    public int getUpdateCount()
                       throws SQLException

  Specified by:
    `getUpdateCount` in interface `Statement`
  Throws:
    `SQLException`

### getMoreResults

    public boolean getMoreResults()
                           throws SQLException

  Specified by:
    `getMoreResults` in interface `Statement`
  Throws:
    `SQLException`

### setFetchDirection

    public void setFetchDirection(int i)
                           throws SQLException

  Specified by:
    `setFetchDirection` in interface `Statement`
  Throws:
    `SQLException`

### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

  Specified by:
    `getFetchDirection` in interface `Statement`
  Throws:
    `SQLException`

### setFetchSize

    public void setFetchSize(int i)
                      throws SQLException

  Specified by:
    `setFetchSize` in interface `Statement`
  Throws:
    `SQLException`

### getFetchSize

    public int getFetchSize()
                     throws SQLException

  Specified by:
    `getFetchSize` in interface `Statement`
  Throws:
    `SQLException`

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws SQLException

  Specified by:
    `getResultSetConcurrency` in interface `Statement`
  Throws:
    `SQLException`

### getResultSetType

    public int getResultSetType()
                         throws SQLException

  Specified by:
    `getResultSetType` in interface `Statement`
  Throws:
    `SQLException`

### addBatch

    public void addBatch(String str)
                  throws SQLException

  Specified by:
    `addBatch` in interface `Statement`
  Throws:
    `SQLException`

### clearBatch

    public void clearBatch()
                    throws SQLException

  Specified by:
    `clearBatch` in interface `Statement`
  Throws:
    `SQLException`

### executeBatch

    public int[] executeBatch()
                       throws SQLException

  Specified by:
    `executeBatch` in interface `Statement`
  Throws:
    `SQLException`

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `Statement`
  Throws:
    `SQLException`

### executeQuery

    public ResultSet executeQuery()
                           throws SQLException

  Specified by:
    `executeQuery` in interface `PreparedStatement`
  Throws:
    `SQLException`

### executeQuery

    protected ResultSet executeQuery(boolean wrap)
                              throws SQLException

  Execute the query, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.

  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate()
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNull

    public void setNull(int i1,
                        int i2)
                 throws SQLException

  Specified by:
    `setNull` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBoolean

    public void setBoolean(int i,
                           boolean b)
                    throws SQLException

  Specified by:
    `setBoolean` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setByte

    public void setByte(int i,
                        byte b)
                 throws SQLException

  Specified by:
    `setByte` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setShort

    public void setShort(int i,
                         short s)
                  throws SQLException

  Specified by:
    `setShort` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setInt

    public void setInt(int i1,
                       int i2)
                throws SQLException

  Specified by:
    `setInt` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setLong

    public void setLong(int i,
                        long l)
                 throws SQLException

  Specified by:
    `setLong` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setFloat

    public void setFloat(int i,
                         float f)
                  throws SQLException

  Specified by:
    `setFloat` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setDouble

    public void setDouble(int i,
                          double d)
                   throws SQLException

  Specified by:
    `setDouble` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBigDecimal

    public void setBigDecimal(int i,
                              BigDecimal bd)
                       throws SQLException

  Specified by:
    `setBigDecimal` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setString

    public void setString(int i,
                          String s)
                   throws SQLException

  Specified by:
    `setString` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBytes

    public void setBytes(int i,
                         byte[] b)
                  throws SQLException

  Specified by:
    `setBytes` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setDate

    public void setDate(int i,
                        Date d)
                 throws SQLException

  Specified by:
    `setDate` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setTime

    public void setTime(int i,
                        Time t)
                 throws SQLException

  Specified by:
    `setTime` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setTimestamp

    public void setTimestamp(int i,
                             Timestamp t)
                      throws SQLException

  Specified by:
    `setTimestamp` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(int i1,
                               InputStream is,
                               int i2)
                        throws SQLException

  Specified by:
    `setAsciiStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setUnicodeStream

    public void setUnicodeStream(int i1,
                                 InputStream is,
                                 int i2)
                          throws SQLException

  Deprecated.

  Specified by:
    `setUnicodeStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(int i1,
                                InputStream is,
                                int i2)
                         throws SQLException

  Specified by:
    `setBinaryStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### clearParameters

    public void clearParameters()
                         throws SQLException

  Specified by:
    `clearParameters` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setObject

    public void setObject(int i1,
                          Object o,
                          int i2,
                          int i3)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setObject

    public void setObject(int i1,
                          Object o,
                          int i2)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setObject

    public void setObject(int i,
                          Object o)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`
  Throws:
    `SQLException`

### execute

    public boolean execute()
                    throws SQLException

  Specified by:
    `execute` in interface `PreparedStatement`
  Throws:
    `SQLException`

### addBatch

    public void addBatch()
                  throws SQLException

  Specified by:
    `addBatch` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(int i1,
                                   Reader r,
                                   int i2)
                            throws SQLException

  Specified by:
    `setCharacterStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setRef

    public void setRef(int i,
                       Ref r)
                throws SQLException

  Specified by:
    `setRef` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBlob

    public void setBlob(int i,
                        Blob b)
                 throws SQLException

  Specified by:
    `setBlob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setClob

    public void setClob(int i,
                        Clob c)
                 throws SQLException

  Specified by:
    `setClob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setArray

    public void setArray(int i,
                         Array a)
                  throws SQLException

  Specified by:
    `setArray` in interface `PreparedStatement`
  Throws:
    `SQLException`

### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

  Specified by:
    `getMetaData` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setDate

    public void setDate(int i,
                        Date d,
                        Calendar c)
                 throws SQLException

  Specified by:
    `setDate` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setTime

    public void setTime(int i,
                        Time t,
                        Calendar c)
                 throws SQLException

  Specified by:
    `setTime` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setTimestamp

    public void setTimestamp(int i,
                             Timestamp t,
                             Calendar c)
                      throws SQLException

  Specified by:
    `setTimestamp` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNull

    public void setNull(int i1,
                        int i2,
                        String s)
                 throws SQLException

  Specified by:
    `setNull` in interface `PreparedStatement`
  Throws:
    `SQLException`

### getMoreResults

    public boolean getMoreResults(int i)
                           throws SQLException

  Specified by:
    `getMoreResults` in interface `Statement`
  Throws:
    `SQLException`

### getGeneratedKeys

    public ResultSet getGeneratedKeys()
                               throws SQLException

  Specified by:
    `getGeneratedKeys` in interface `Statement`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String s,
                             int i)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String s,
                             int[] ia)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate(String s,
                             String[] sa)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String s,
                           int i)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String s,
                           int[] ia)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException`

### execute

    public boolean execute(String s,
                           String[] sa)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`
  Throws:
    `SQLException`

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws SQLException

  Specified by:
    `getResultSetHoldability` in interface `Statement`
  Throws:
    `SQLException`

### setURL

    public void setURL(int i,
                       URL url)
                throws SQLException

  Specified by:
    `setURL` in interface `PreparedStatement`
  Throws:
    `SQLException`

### getParameterMetaData

    public ParameterMetaData getParameterMetaData()
                                           throws SQLException

  Specified by:
    `getParameterMetaData` in interface `PreparedStatement`
  Throws:
    `SQLException`

### registerOutParameter

    public void registerOutParameter(int i1,
                                     int i2)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException`

### registerOutParameter

    public void registerOutParameter(int i1,
                                     int i2,
                                     int i3)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException`

### wasNull

    public boolean wasNull()
                    throws SQLException

  Specified by:
    `wasNull` in interface `CallableStatement`
  Throws:
    `SQLException`

### getString

    public String getString(int i)
                     throws SQLException

  Specified by:
    `getString` in interface `CallableStatement`
  Throws:
    `SQLException`

### getBoolean

    public boolean getBoolean(int i)
                       throws SQLException

  Specified by:
    `getBoolean` in interface `CallableStatement`
  Throws:
    `SQLException`

### getByte

    public byte getByte(int i)
                 throws SQLException

  Specified by:
    `getByte` in interface `CallableStatement`
  Throws:
    `SQLException`

### getShort

    public short getShort(int i)
                   throws SQLException

  Specified by:
    `getShort` in interface `CallableStatement`
  Throws:
    `SQLException`

### getInt

    public int getInt(int i)
               throws SQLException

  Specified by:
    `getInt` in interface `CallableStatement`
  Throws:
    `SQLException`

### getLong

    public long getLong(int i)
                 throws SQLException

  Specified by:
    `getLong` in interface `CallableStatement`
  Throws:
    `SQLException`

### getFloat

    public float getFloat(int i)
                   throws SQLException

  Specified by:
    `getFloat` in interface `CallableStatement`
  Throws:
    `SQLException`

### getDouble

    public double getDouble(int i)
                     throws SQLException

  Specified by:
    `getDouble` in interface `CallableStatement`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(int a,
                                    int b)
                             throws SQLException

  Deprecated. use `getBigDecimal(int parameterIndex)` or `getBigDecimal(String parameterName)`

  Specified by:
    `getBigDecimal` in interface `CallableStatement`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes(int i)
                    throws SQLException

  Specified by:
    `getBytes` in interface `CallableStatement`
  Throws:
    `SQLException`

### getDate

    public Date getDate(int i)
                 throws SQLException

  Specified by:
    `getDate` in interface `CallableStatement`
  Throws:
    `SQLException`

### getTime

    public Time getTime(int i)
                 throws SQLException

  Specified by:
    `getTime` in interface `CallableStatement`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(int i)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `CallableStatement`
  Throws:
    `SQLException`

### getObject

    public Object getObject(int i)
                     throws SQLException

  Specified by:
    `getObject` in interface `CallableStatement`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(int i)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `CallableStatement`
  Throws:
    `SQLException`

### getObject

    public Object getObject(int i,
                            Map<String,Class<?>> m)
                     throws SQLException

  Specified by:
    `getObject` in interface `CallableStatement`
  Throws:
    `SQLException`

### getRef

    public Ref getRef(int i)
               throws SQLException

  Specified by:
    `getRef` in interface `CallableStatement`
  Throws:
    `SQLException`

### getBlob

    public Blob getBlob(int i)
                 throws SQLException

  Specified by:
    `getBlob` in interface `CallableStatement`
  Throws:
    `SQLException`

### getClob

    public Clob getClob(int i)
                 throws SQLException

  Specified by:
    `getClob` in interface `CallableStatement`
  Throws:
    `SQLException`

### getArray

    public Array getArray(int i)
                   throws SQLException

  Specified by:
    `getArray` in interface `CallableStatement`
  Throws:
    `SQLException`

### getDate

    public Date getDate(int i,
                        Calendar c)
                 throws SQLException

  Specified by:
    `getDate` in interface `CallableStatement`
  Throws:
    `SQLException`

### getTime

    public Time getTime(int i,
                        Calendar c)
                 throws SQLException

  Specified by:
    `getTime` in interface `CallableStatement`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(int i,
                                  Calendar c)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `CallableStatement`
  Throws:
    `SQLException`

### registerOutParameter

    public void registerOutParameter(int i1,
                                     int i2,
                                     String s)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException`

### registerOutParameter

    public void registerOutParameter(String s,
                                     int i)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException`

### registerOutParameter

    public void registerOutParameter(String s,
                                     int i1,
                                     int i2)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException`

### registerOutParameter

    public void registerOutParameter(String s1,
                                     int i,
                                     String s2)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`
  Throws:
    `SQLException`

### getURL

    public URL getURL(int i)
               throws SQLException

  Specified by:
    `getURL` in interface `CallableStatement`
  Throws:
    `SQLException`

### setURL

    public void setURL(String a,
                       URL b)
                throws SQLException

  Specified by:
    `setURL` in interface `CallableStatement`
  Throws:
    `SQLException`

### getURL

    public URL getURL(String a)
               throws SQLException

  Specified by:
    `getURL` in interface `CallableStatement`
  Throws:
    `SQLException`

### setNull

    public void setNull(String a,
                        int b)
                 throws SQLException

  Specified by:
    `setNull` in interface `CallableStatement`
  Throws:
    `SQLException`

### setBoolean

    public void setBoolean(String a,
                           boolean b)
                    throws SQLException

  Specified by:
    `setBoolean` in interface `CallableStatement`
  Throws:
    `SQLException`

### setByte

    public void setByte(String a,
                        byte b)
                 throws SQLException

  Specified by:
    `setByte` in interface `CallableStatement`
  Throws:
    `SQLException`

### setShort

    public void setShort(String a,
                         short b)
                  throws SQLException

  Specified by:
    `setShort` in interface `CallableStatement`
  Throws:
    `SQLException`

### setInt

    public void setInt(String a,
                       int b)
                throws SQLException

  Specified by:
    `setInt` in interface `CallableStatement`
  Throws:
    `SQLException`

### setLong

    public void setLong(String a,
                        long b)
                 throws SQLException

  Specified by:
    `setLong` in interface `CallableStatement`
  Throws:
    `SQLException`

### setFloat

    public void setFloat(String a,
                         float b)
                  throws SQLException

  Specified by:
    `setFloat` in interface `CallableStatement`
  Throws:
    `SQLException`

### setDouble

    public void setDouble(String a,
                          double b)
                   throws SQLException

  Specified by:
    `setDouble` in interface `CallableStatement`
  Throws:
    `SQLException`

### setBigDecimal

    public void setBigDecimal(String a,
                              BigDecimal b)
                       throws SQLException

  Specified by:
    `setBigDecimal` in interface `CallableStatement`
  Throws:
    `SQLException`

### setString

    public void setString(String a,
                          String b)
                   throws SQLException

  Specified by:
    `setString` in interface `CallableStatement`
  Throws:
    `SQLException`

### setBytes

    public void setBytes(String a,
                         byte[] b)
                  throws SQLException

  Specified by:
    `setBytes` in interface `CallableStatement`
  Throws:
    `SQLException`

### setDate

    public void setDate(String a,
                        Date b)
                 throws SQLException

  Specified by:
    `setDate` in interface `CallableStatement`
  Throws:
    `SQLException`

### setTime

    public void setTime(String a,
                        Time b)
                 throws SQLException

  Specified by:
    `setTime` in interface `CallableStatement`
  Throws:
    `SQLException`

### setTimestamp

    public void setTimestamp(String a,
                             Timestamp b)
                      throws SQLException

  Specified by:
    `setTimestamp` in interface `CallableStatement`
  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(String a,
                               InputStream b,
                               int c)
                        throws SQLException

  Specified by:
    `setAsciiStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(String a,
                                InputStream b,
                                int c)
                         throws SQLException

  Specified by:
    `setBinaryStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### setObject

    public void setObject(String a,
                          Object b,
                          int c,
                          int d)
                   throws SQLException

  Specified by:
    `setObject` in interface `CallableStatement`
  Throws:
    `SQLException`

### setObject

    public void setObject(String a,
                          Object b,
                          int c)
                   throws SQLException

  Specified by:
    `setObject` in interface `CallableStatement`
  Throws:
    `SQLException`

### setObject

    public void setObject(String a,
                          Object b)
                   throws SQLException

  Specified by:
    `setObject` in interface `CallableStatement`
  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(String a,
                                   Reader b,
                                   int c)
                            throws SQLException

  Specified by:
    `setCharacterStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### setDate

    public void setDate(String a,
                        Date b,
                        Calendar c)
                 throws SQLException

  Specified by:
    `setDate` in interface `CallableStatement`
  Throws:
    `SQLException`

### setTime

    public void setTime(String a,
                        Time b,
                        Calendar c)
                 throws SQLException

  Specified by:
    `setTime` in interface `CallableStatement`
  Throws:
    `SQLException`

### setTimestamp

    public void setTimestamp(String a,
                             Timestamp b,
                             Calendar c)
                      throws SQLException

  Specified by:
    `setTimestamp` in interface `CallableStatement`
  Throws:
    `SQLException`

### setNull

    public void setNull(String a,
                        int b,
                        String c)
                 throws SQLException

  Specified by:
    `setNull` in interface `CallableStatement`
  Throws:
    `SQLException`

### getString

    public String getString(String a)
                     throws SQLException

  Specified by:
    `getString` in interface `CallableStatement`
  Throws:
    `SQLException`

### getBoolean

    public boolean getBoolean(String a)
                       throws SQLException

  Specified by:
    `getBoolean` in interface `CallableStatement`
  Throws:
    `SQLException`

### getByte

    public byte getByte(String a)
                 throws SQLException

  Specified by:
    `getByte` in interface `CallableStatement`
  Throws:
    `SQLException`

### getShort

    public short getShort(String a)
                   throws SQLException

  Specified by:
    `getShort` in interface `CallableStatement`
  Throws:
    `SQLException`

### getInt

    public int getInt(String a)
               throws SQLException

  Specified by:
    `getInt` in interface `CallableStatement`
  Throws:
    `SQLException`

### getLong

    public long getLong(String a)
                 throws SQLException

  Specified by:
    `getLong` in interface `CallableStatement`
  Throws:
    `SQLException`

### getFloat

    public float getFloat(String a)
                   throws SQLException

  Specified by:
    `getFloat` in interface `CallableStatement`
  Throws:
    `SQLException`

### getDouble

    public double getDouble(String a)
                     throws SQLException

  Specified by:
    `getDouble` in interface `CallableStatement`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes(String a)
                    throws SQLException

  Specified by:
    `getBytes` in interface `CallableStatement`
  Throws:
    `SQLException`

### getDate

    public Date getDate(String a)
                 throws SQLException

  Specified by:
    `getDate` in interface `CallableStatement`
  Throws:
    `SQLException`

### getTime

    public Time getTime(String a)
                 throws SQLException

  Specified by:
    `getTime` in interface `CallableStatement`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(String a)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `CallableStatement`
  Throws:
    `SQLException`

### getObject

    public Object getObject(String a)
                     throws SQLException

  Specified by:
    `getObject` in interface `CallableStatement`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(String a)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `CallableStatement`
  Throws:
    `SQLException`

### getObject

    public Object getObject(String a,
                            Map<String,Class<?>> b)
                     throws SQLException

  Specified by:
    `getObject` in interface `CallableStatement`
  Throws:
    `SQLException`

### getRef

    public Ref getRef(String a)
               throws SQLException

  Specified by:
    `getRef` in interface `CallableStatement`
  Throws:
    `SQLException`

### getBlob

    public Blob getBlob(String a)
                 throws SQLException

  Specified by:
    `getBlob` in interface `CallableStatement`
  Throws:
    `SQLException`

### getClob

    public Clob getClob(String a)
                 throws SQLException

  Specified by:
    `getClob` in interface `CallableStatement`
  Throws:
    `SQLException`

### getArray

    public Array getArray(String a)
                   throws SQLException

  Specified by:
    `getArray` in interface `CallableStatement`
  Throws:
    `SQLException`

### getDate

    public Date getDate(String a,
                        Calendar b)
                 throws SQLException

  Specified by:
    `getDate` in interface `CallableStatement`
  Throws:
    `SQLException`

### getTime

    public Time getTime(String a,
                        Calendar b)
                 throws SQLException

  Specified by:
    `getTime` in interface `CallableStatement`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(String a,
                                  Calendar b)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `CallableStatement`
  Throws:
    `SQLException`

### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

  Specified by:
    `isWrapperFor` in interface `Wrapper`
  Throws:
    `SQLException`

### unwrap

    public <T> T unwrap(Class<T> iface)
             throws SQLException

  Specified by:
    `unwrap` in interface `Wrapper`
  Throws:
    `SQLException`

### getCharacterStream

    public Reader getCharacterStream(int parameterIndex)
                              throws SQLException

  Specified by:
    `getCharacterStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### getCharacterStream

    public Reader getCharacterStream(String parameterName)
                              throws SQLException

  Specified by:
    `getCharacterStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### getNCharacterStream

    public Reader getNCharacterStream(int parameterIndex)
                               throws SQLException

  Specified by:
    `getNCharacterStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### getNCharacterStream

    public Reader getNCharacterStream(String parameterName)
                               throws SQLException

  Specified by:
    `getNCharacterStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### getNClob

    public NClob getNClob(int parameterIndex)
                   throws SQLException

  Specified by:
    `getNClob` in interface `CallableStatement`
  Throws:
    `SQLException`

### getNClob

    public NClob getNClob(String parameterName)
                   throws SQLException

  Specified by:
    `getNClob` in interface `CallableStatement`
  Throws:
    `SQLException`

### getNString

    public String getNString(int parameterIndex)
                      throws SQLException

  Specified by:
    `getNString` in interface `CallableStatement`
  Throws:
    `SQLException`

### getNString

    public String getNString(String parameterName)
                      throws SQLException

  Specified by:
    `getNString` in interface `CallableStatement`
  Throws:
    `SQLException`

### getRowId

    public RowId getRowId(int parameterIndex)
                   throws SQLException

  Specified by:
    `getRowId` in interface `CallableStatement`
  Throws:
    `SQLException`

### getRowId

    public RowId getRowId(String parameterName)
                   throws SQLException

  Specified by:
    `getRowId` in interface `CallableStatement`
  Throws:
    `SQLException`

### getSQLXML

    public SQLXML getSQLXML(int parameterIndex)
                     throws SQLException

  Specified by:
    `getSQLXML` in interface `CallableStatement`
  Throws:
    `SQLException`

### getSQLXML

    public SQLXML getSQLXML(String parameterName)
                     throws SQLException

  Specified by:
    `getSQLXML` in interface `CallableStatement`
  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(String parameterName,
                               InputStream x,
                               long length)
                        throws SQLException

  Specified by:
    `setAsciiStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(String parameterName,
                               InputStream x)
                        throws SQLException

  Specified by:
    `setAsciiStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(String parameterName,
                                InputStream x,
                                long length)
                         throws SQLException

  Specified by:
    `setBinaryStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(String parameterName,
                                InputStream x)
                         throws SQLException

  Specified by:
    `setBinaryStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### setBlob

    public void setBlob(String parameterName,
                        Blob x)
                 throws SQLException

  Specified by:
    `setBlob` in interface `CallableStatement`
  Throws:
    `SQLException`

### setBlob

    public void setBlob(String parameterName,
                        InputStream inputStream,
                        long length)
                 throws SQLException

  Specified by:
    `setBlob` in interface `CallableStatement`
  Throws:
    `SQLException`

### setBlob

    public void setBlob(String parameterName,
                        InputStream inputStream)
                 throws SQLException

  Specified by:
    `setBlob` in interface `CallableStatement`
  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(String parameterName,
                                   Reader reader,
                                   long length)
                            throws SQLException

  Specified by:
    `setCharacterStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(String parameterName,
                                   Reader reader)
                            throws SQLException

  Specified by:
    `setCharacterStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### setClob

    public void setClob(String parameterName,
                        Clob x)
                 throws SQLException

  Specified by:
    `setClob` in interface `CallableStatement`
  Throws:
    `SQLException`

### setClob

    public void setClob(String parameterName,
                        Reader reader,
                        long length)
                 throws SQLException

  Specified by:
    `setClob` in interface `CallableStatement`
  Throws:
    `SQLException`

### setClob

    public void setClob(String parameterName,
                        Reader reader)
                 throws SQLException

  Specified by:
    `setClob` in interface `CallableStatement`
  Throws:
    `SQLException`

### setNCharacterStream

    public void setNCharacterStream(String parameterName,
                                    Reader value,
                                    long length)
                             throws SQLException

  Specified by:
    `setNCharacterStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### setNCharacterStream

    public void setNCharacterStream(String parameterName,
                                    Reader value)
                             throws SQLException

  Specified by:
    `setNCharacterStream` in interface `CallableStatement`
  Throws:
    `SQLException`

### setNClob

    public void setNClob(String parameterName,
                         NClob value)
                  throws SQLException

  Specified by:
    `setNClob` in interface `CallableStatement`
  Throws:
    `SQLException`

### setNClob

    public void setNClob(String parameterName,
                         Reader reader,
                         long length)
                  throws SQLException

  Specified by:
    `setNClob` in interface `CallableStatement`
  Throws:
    `SQLException`

### setNClob

    public void setNClob(String parameterName,
                         Reader reader)
                  throws SQLException

  Specified by:
    `setNClob` in interface `CallableStatement`
  Throws:
    `SQLException`

### setNString

    public void setNString(String parameterName,
                           String value)
                    throws SQLException

  Specified by:
    `setNString` in interface `CallableStatement`
  Throws:
    `SQLException`

### setRowId

    public void setRowId(String parameterName,
                         RowId x)
                  throws SQLException

  Specified by:
    `setRowId` in interface `CallableStatement`
  Throws:
    `SQLException`

### setSQLXML

    public void setSQLXML(String parameterName,
                          SQLXML xmlObject)
                   throws SQLException

  Specified by:
    `setSQLXML` in interface `CallableStatement`
  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               InputStream x,
                               long length)
                        throws SQLException

  Specified by:
    `setAsciiStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               InputStream x)
                        throws SQLException

  Specified by:
    `setAsciiStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                InputStream x,
                                long length)
                         throws SQLException

  Specified by:
    `setBinaryStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                InputStream x)
                         throws SQLException

  Specified by:
    `setBinaryStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBlob

    public void setBlob(int parameterIndex,
                        InputStream inputStream,
                        long length)
                 throws SQLException

  Specified by:
    `setBlob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBlob

    public void setBlob(int parameterIndex,
                        InputStream inputStream)
                 throws SQLException

  Specified by:
    `setBlob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   Reader reader,
                                   long length)
                            throws SQLException

  Specified by:
    `setCharacterStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   Reader reader)
                            throws SQLException

  Specified by:
    `setCharacterStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setClob

    public void setClob(int parameterIndex,
                        Reader reader,
                        long length)
                 throws SQLException

  Specified by:
    `setClob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setClob

    public void setClob(int parameterIndex,
                        Reader reader)
                 throws SQLException

  Specified by:
    `setClob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                                    Reader value,
                                    long length)
                             throws SQLException

  Specified by:
    `setNCharacterStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                                    Reader value)
                             throws SQLException

  Specified by:
    `setNCharacterStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNClob

    public void setNClob(int parameterIndex,
                         NClob value)
                  throws SQLException

  Specified by:
    `setNClob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNClob

    public void setNClob(int parameterIndex,
                         Reader reader,
                         long length)
                  throws SQLException

  Specified by:
    `setNClob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNClob

    public void setNClob(int parameterIndex,
                         Reader reader)
                  throws SQLException

  Specified by:
    `setNClob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNString

    public void setNString(int parameterIndex,
                           String value)
                    throws SQLException

  Specified by:
    `setNString` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setRowId

    public void setRowId(int parameterIndex,
                         RowId x)
                  throws SQLException

  Specified by:
    `setRowId` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setSQLXML

    public void setSQLXML(int parameterIndex,
                          SQLXML xmlObject)
                   throws SQLException

  Specified by:
    `setSQLXML` in interface `PreparedStatement`
  Throws:
    `SQLException`

### isClosed

    public boolean isClosed()
                     throws SQLException

  Specified by:
    `isClosed` in interface `Statement`
  Throws:
    `SQLException`

### isPoolable

    public boolean isPoolable()
                       throws SQLException

  Specified by:
    `isPoolable` in interface `Statement`
  Throws:
    `SQLException`

### setPoolable

    public void setPoolable(boolean poolable)
                     throws SQLException

  Specified by:
    `setPoolable` in interface `Statement`
  Throws:
    `SQLException`

### getObject

    public <T> T getObject(String columnLabel,
                           Class<T> type)
                throws SQLException

  Throws:
    `SQLException`

### getObject

    public <T> T getObject(int columnIndex,
                           Class<T> type)
                throws SQLException

  Throws:
    `SQLException`

### isCloseOnCompletion

    public boolean isCloseOnCompletion()
                                throws SQLException

  Throws:
    `SQLException`

### closeOnCompletion

    public void closeOnCompletion()
                           throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.